Index: doc/ChangeLog
===================================================================
--- doc/ChangeLog	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/ChangeLog	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -1,2 +1,9 @@
+2008-08-21	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* bsp_howto/ata.t, bsp_howto/clock.t, bsp_howto/ide-ctrl.t,
+	bsp_howto/nvmem.t, bsp_howto/shmsupp.t, user/datatypes.t, user/mp.t,
+	user/userext.t: Eliminate all references to rtems_signedXX and
+	rtems_unsignedXX.
+
 2008-08-08     Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: doc/bsp_howto/ata.t
===================================================================
--- doc/bsp_howto/ata.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/bsp_howto/ata.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -102,7 +102,7 @@
     char              type;   /* request type */
     ata_registers_t   regs;   /* ATA command */
-    rtems_unsigned32  cnt;    /* Number of sectors to be exchanged */
-    rtems_unsigned32  cbuf;   /* number of current buffer from breq in use */
-    rtems_unsigned32  pos;    /* current position in 'cbuf' */
+    uint32_t          cnt;    /* Number of sectors to be exchanged */
+    uint32_t          cbuf;   /* number of current buffer from breq in use */
+    uint32_t          pos;    /* current position in 'cbuf' */
     blkdev_request   *breq;   /* blkdev_request which corresponds to the
                                * ata request
Index: doc/bsp_howto/clock.t
===================================================================
--- doc/bsp_howto/clock.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/bsp_howto/clock.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -48,5 +48,5 @@
 
 @example
-volatile rtems_unsigned32 Clock_driver_ticks;
+volatile uint32_t Clock_driver_ticks;
 @end example
 
Index: doc/bsp_howto/ide-ctrl.t
===================================================================
--- doc/bsp_howto/ide-ctrl.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/bsp_howto/ide-ctrl.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -114,9 +114,11 @@
 @example
 @group
-void ide_controller_read_data_block(rtems_device_minor_number  minor,
-                                    unsigned16                 block_size,
-                                    blkdev_sg_buffer          *bufs,
-                                    rtems_unsigned32          *cbuf,
-                                    rtems_unsigned32          *pos)
+void ide_controller_read_data_block(
+  rtems_device_minor_number  minor,
+  unsigned16                 block_size,
+  blkdev_sg_buffer          *bufs,
+  uint32_t                  *cbuf,
+  uint32_t                  *pos
+)
 @{
   get IDE Controller chip configuration information from
@@ -139,9 +141,11 @@
 @example
 @group
-void ide_controller_write_data_block(rtems_device_minor_number  minor,
-                                     unsigned16                 block_size,
-                                     blkdev_sg_buffer          *bufs,
-                                     rtems_unsigned32          *cbuf,
-                                     rtems_unsigned32          *pos)
+void ide_controller_write_data_block(
+  rtems_device_minor_number  minor,
+  unsigned16                 block_size,
+  blkdev_sg_buffer          *bufs,
+  uint32_t                  *cbuf,
+  uint32_t                  *pos
+)
 @{
   get IDE Controller chip configuration information from
Index: doc/bsp_howto/nvmem.t
===================================================================
--- doc/bsp_howto/nvmem.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/bsp_howto/nvmem.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -185,8 +185,8 @@
 @group
 typedef struct @{
-  rtems_unsigned32   offset;
-  void              *buffer;
-  rtems_unsigned32   length;
-  rtems_unsigned32   status;
+  uint32_t  offset;
+  void     *buffer;
+  uint32_t  length;
+  uint32_t  status;
 @}   Non_volatile_memory_Driver_arguments;
 @end group
@@ -212,8 +212,8 @@
 @group
 typedef struct @{
-  rtems_unsigned32   offset;
-  void              *buffer;
-  rtems_unsigned32   length;
-  rtems_unsigned32   status;
+  uint32_t   offset;
+  void      *buffer;
+  uint32_t   length;
+  uint32_t   status;
 @}   Non_volatile_memory_Driver_arguments;
 @end group
Index: doc/bsp_howto/shmsupp.t
===================================================================
--- doc/bsp_howto/shmsupp.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/bsp_howto/shmsupp.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -28,5 +28,5 @@
 @example
 @group
-typedef volatile rtems_unsigned32 vol_u32;
+typedef volatile uint32_t vol_u32;
 
 typedef struct @{
@@ -42,5 +42,5 @@
   vol_u32          (*convert)(); /* neutral conversion routine  */
   vol_u32            poll_intr;  /* POLLED or INTR driven mode  */
-  void             (*cause_intr)( rtems_unsigned32 );
+  void             (*cause_intr)( uint32_t );
   Shm_Interrupt_information   Intr; /* cause intr information   */
 @};
@@ -124,5 +124,5 @@
 @group
 void Shm_Get_configuration(
-  rtems_unsigned32   localnode,
+  uint32_t           localnode,
   shm_config_table **shmcfg
 )
Index: doc/user/datatypes.t
===================================================================
--- doc/user/datatypes.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/user/datatypes.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -195,27 +195,23 @@
 with the Signal Manager.
 
-@findex rtems_signed8
-@item @code{@value{DIRPREFIX}signed8} is the data
-type that corresponds to signed eight bit integers.
-This data type is defined by RTEMS in a manner that
+@findex int8_t
+@item @code{int8_t} is the C99 data type that corresponds to signed eight
+bit integers.  This data type is defined by RTEMS in a manner that
 ensures it is portable across different target processors.
 
-@findex rtems_signed16
-@item @code{@value{DIRPREFIX}signed16} is the data
-type that corresponds to signed sixteen bit integers.
-This data type is defined by RTEMS in a manner that
-ensures it is portable across different target processors.
-
-@findex rtems_signed32
-@item @code{@value{DIRPREFIX}signed32} is the data
-type that corresponds to signed thirty-two bit integers.
-This data type is defined by RTEMS in a manner that
-ensures it is portable across different target processors.
-
-@findex rtems_signed64
-@item @code{@value{DIRPREFIX}signed64} is the data
-type that corresponds to signed sixty-four bit integers.
-This data type is defined by RTEMS in a manner that
-ensures it is portable across different target processors.
+@findex int16_t
+@item @code{int16_t} is the C99 data type that corresponds to signed
+sixteen bit integers.  This data type is defined by RTEMS in a manner
+that ensures it is portable across different target processors.
+
+@findex int32_t
+@item @code{int32_t} is the C99 data type that corresponds to signed
+thirty-two bit integers.  This data type is defined by RTEMS in a manner
+that ensures it is portable across different target processors.
+
+@findex int64_t
+@item @code{int64_t} is the C99 data type that corresponds to signed
+sixty-four bit integers.  This data type is defined by RTEMS in a manner
+that ensures it is portable across different target processors.
 
 @findex rtems_single
Index: doc/user/mp.t
===================================================================
--- doc/user/mp.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/user/mp.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -411,5 +411,5 @@
 @group
 rtems_mpci_entry user_mpci_send_packet(
-  rtems_unsigned32       node,
+  uint32_t               node,
   rtems_packet_prefix  **packet
 );
@@ -434,5 +434,5 @@
 
 The to_convert field of the MP_packet_prefix portion of the packet indicates
-how much of the packet (in @code{rtems_unsigned32}'s) may require
+how much of the packet (in @code{uint32_t}'s) may require
 conversion in a heterogeneous system.
 
Index: doc/user/userext.t
===================================================================
--- doc/user/userext.t	(revision a94ef122c2c621eecba78ecde85f321e0c83216e)
+++ doc/user/userext.t	(revision 2a517327a657007f3dbada9998db483792df8ef9)
@@ -467,5 +467,5 @@
   Internal_errors_Source  the_source,
   rtems_boolean           is_internal,
-  rtems_unsigned32        the_error
+  uint32_t                the_error
 );
 @end example
